# Calculate price

Calculate a transport price, based on loadings, unloadings and items

Endpoint: POST /price
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Request fields (application/json):

  - `items` (array)

  - `items.quantity` (integer)
    Example: 3

  - `items.length` (integer)
    Example: 120

  - `items.width` (integer)
    Example: 100

  - `items.height` (integer)
    Example: 80

  - `items.weight` (integer)
    Example: 320

  - `loadings` (array, required)

  - `loadings.name` (string)
    Example: Hamburg

  - `loadings.zip_code` (string)
    Example: 8051 CP

  - `loadings.country` (string)
    Example: NL

  - `unloadings` (array, required)

  - `loading_date` (string, required)
    Example: 2024-07-19T08:00:00+01:00

  - `ftl_timeslot_duration` (integer)
    The FTL timeslot duration must be either 6, 3, or 0.
    Enum: "6", "3", "0"

## Request examples:

  - `default_example` (unknown)
    Example request for price calculation.

## Response 200:

  - `200` (unknown)
    Created.

## Response 200 fields (application/json):

  - `message` (string, required)
    Example: Success!

  - `data` (array, required)

  - `data.vehicle_type` (integer)
    Example: 11

  - `data.value` (number)
    Example: 407.15

  - `data.driving_time` (integer)
    Example: 23575

  - `data.estimated_loading_times` (array)

  - `data.estimated_loading_times.start` (string)
    Example: 2024-07-19T08:00:00+01:00

  - `data.estimated_unloading_times` (array)

  - `data.available_extra_services` (array)

  - `data.available_extra_services.label` (string)
    Example: loadingThroughDriver

  - `data.available_extra_services.cost` (number)
    Example: 29.9

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    A descriptive error message.
    Example: Bad Request

  - `errors` (object, required)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity.

## Response 422 fields (application/json):

  - `message` (string, required)
    A descriptive error message.
    Example: Bad Request

  - `errors` (object, required)

## Response 200 examples:

  - `Example price response` (unknown)

## Response 401 examples:

  - `Unauthenticated` (unknown)

## Response 422 examples:

  - `Price calculation error response` (unknown)

